Eclipse Foundation Member
Spring Tool Suite (STS) for Eclipse Juno (3.8 + 4.2)

Details Group Tabs

java kirukan's picture

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Error closing the output stream for osgi.bundle,org.eclipse.ajdt.examples,2.2.3.e42x-RELEASE-20130625-1400 on repository file:/C:/Users/.eclipse/org.eclipse.platform_4.2.0_248562372/.
Error unzipping C:\Users\~1\AppData\Local\Temp\org.eclipse.ajdt.examples_2.2.3.e42x-RELEASE-20130625-14009127991092438427599.jar: Invalid zip file format
Unable to read repository at //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.eclipse.equinox.weaving.caching.j9_1.0.200.I20130319-1000.jar.
Server returned HTTP response code: 403 for URL: //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.eclipse.equinox.weaving.caching.j9_1.0.200.I20130319-1000.jar
Unable to read repository at //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.json_1.0.0.v201011060100.jar.
Server returned HTTP response code: 403 for URL: //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.json_1.0.0.v201011060100.jar
Unable to read repository at //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.springframework.roo.wrapping.json-simple_1.1.0.0010.jar.
Server returned HTTP response code: 403 for URL: //dist.springsource.com/release/TOOLS/update/3.6.3.RELEASE/e4.2/plugins/org.springframework.roo.wrapping.json-simple_1.1.0.0010.jar
Error closing the output stream for osgi.bundle,org.springsource.ide.eclipse.commons.browser,3.6.3.201411271002-RELEASE on repository file:/C:/Users/.eclipse/org.eclipse.platform_4.2.0_248562372/.
Error unzipping C:\Users\~1\AppData\Local\Temp\org.springsource.ide.eclipse.commons.browser_3.6.3.201411271002-RELEASE913058048376801355.jar: Invalid zip file format
Error closing the output stream for osgi.bundle,org.springsource.ide.eclipse.commons.gettingstarted,3.6.3.201411271002-RELEASE on repository file:/C:/Users/.eclipse/org.eclipse.platform_4.2.0_248562372/.
Error unzipping C:\Users\~1\AppData\Local\Temp\org.springsource.ide.eclipse.commons.gettingstarted_3.6.3.201411271002-RELEASE4354312443644002308.jar: Invalid zip file format

Taha AIT's picture

I encountered the same problem.Reporting this message :

Unable to read repository at http://download.eclipse.org/technology/m2e/releases/1.3/1.3.1.20130219-1....
Connection reset

Bryan Ryu's picture

It has a download problem as follows in market place. please check the site.

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to read repository at http://download.eclipse.org/technology/m2e/releases/1.3/1.3.1.20130219-1....
Connection reset
Unable to read repository at http://download.eclipse.org/technology/m2e/releases/1.3/1.3.1.20130219-1....
Connection reset

Paul Verest's picture

STS is currently IMHO the best Eclipse distribution, that come with the latest Maven.
It also comes as based on Eclipse 4.2 or Eclipse 3.8. The second being more responsive and quicker.
It is the only distribution (that I know) that has Eclipse 3.8 option.